:Update Nvidia VGA driver to 186.37 for XP

if not exist %DST%\DRV\vga2\*.* goto vga2
if not exist %DST%\DRV\vga3\*.* goto vga3
if not exist %DST%\DRV\vga4\*.* goto vga4
if not exist %DST%\DRV\vga5\*.* goto vga5
if not exist %DST%\DRV\vga6\*.* goto vga6
if not exist %DST%\DRV\lan3\*.* goto lan3
if not exist %DST%\DRV\modem3\*.* goto modem3
goto non_copy

:vga2
echo copy Nvidia 186.37 to VGA2 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\NV_XP\*.* %DST%\DRV\vga2\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
echo start /w c:\DRV\vga2\Setup.exe /s >> %DST%\AcerNB\HOTFIX2.CMD
goto vga_end

:vga3
echo copy Nvidia 186.37 to VGA3 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\NV_XP\*.* %DST%\DRV\vga3\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
echo start /w c:\DRV\vga3\Setup.exe /s >> %DST%\AcerNB\HOTFIX2.CMD
goto vga_end

:vga4
echo copy Nvidia 186.37 to VGA4 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\NV_XP\*.* %DST%\DRV\vga4\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
echo start /w c:\DRV\vga4\Setup.exe /s >> %DST%\AcerNB\HOTFIX2.CMD
goto vga_end

:vga5
echo copy Nvidia 186.37 to VGA5 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\NV_XP\*.* %DST%\DRV\vga5\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
echo start /w c:\DRV\vga5\Setup.exe /s >> %DST%\AcerNB\HOTFIX2.CMD
goto vga_end

:vga6
echo copy Nvidia 186.37 to VGA6 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\NV_XP\*.* %DST%\DRV\vga6\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
echo start /w c:\DRV\vga6\Setup.exe /s >> %DST%\AcerNB\HOTFIX2.CMD
goto vga_end

:lan3
echo copy Nvidia 186.37 to lan3 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\NV_XP\*.* %DST%\DRV\lan3\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
echo start /w c:\DRV\lan3\Setup.exe /s >> %DST%\AcerNB\HOTFIX2.CMD
goto vga_end

:modem3
echo copy Nvidia 186.37 to modem3 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\NV_XP\*.* %DST%\DRV\modem3\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
echo start /w c:\DRV\modem3\Setup.exe /s >> %DST%\AcerNB\HOTFIX2.CMD
goto vga_end


:non_copy
echo non copy Nvidia 186.37 >>%DST%\WINDOWS\PATCH.LOG

:vga_end
if not exist %DST%\DRV\vga2\*.* goto HDA2
if not exist %DST%\DRV\vga3\*.* goto HDA3
if not exist %DST%\DRV\vga4\*.* goto HDA4
if not exist %DST%\DRV\vga5\*.* goto HDA5
if not exist %DST%\DRV\vga6\*.* goto HDA6
if not exist %DST%\DRV\lan3\*.* goto HDA7
if not exist %DST%\DRV\modem3\*.* goto HDA8
goto non_copy_hd

:HDA2
echo copy Nvidia 1.00.00.52 to VGA2 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\HDAudio_XP\*.* %DST%\DRV\vga2\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
rem echo start /w c:\DRV\vga2\dpinst.exe /q /se /sa >> %DST%\AcerNB\HOTFIX2.CMD
goto hda_end

:HDA3
echo copy Nvidia 1.00.00.52 to VGA3 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\HDAudio_XP\*.* %DST%\DRV\vga3\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
rem echo start /w c:\DRV\vga3\dpinst.exe /q /se /sa >> %DST%\AcerNB\HOTFIX2.CMD
goto hda_end

:HDA4
echo copy Nvidia 1.00.00.52 to VGA4 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\HDAudio_XP\*.* %DST%\DRV\vga4\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
echo start /w c:\DRV\vga4\dpinst.exe /q /se /sa >> %DST%\AcerNB\HOTFIX2.CMD
goto hda_end

:HDA5
echo copy Nvidia 1.00.00.52 to VGA5 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\HDAudio_XP\*.* %DST%\DRV\vga5\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
rem echo start /w c:\DRV\vga5\dpinst.exe /q /se /sa >> %DST%\AcerNB\HOTFIX2.CMD
goto hda_end

:HDA6
echo copy Nvidia 1.00.00.52 to VGA6 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\HDAudio_XP\*.* %DST%\DRV\vga6\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
rem echo start /w c:\DRV\vga6\dpinst.exe /q /se /sa >> %DST%\AcerNB\HOTFIX2.CMD
goto hda_end

:HDA7
echo copy Nvidia 1.00.00.52 to lan3 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\HDAudio_XP\*.* %DST%\DRV\lan3\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
rem echo start /w c:\DRV\lan3\dpinst.exe /q /se /sa >> %DST%\AcerNB\HOTFIX2.CMD
goto hda_end

:HDA8
echo copy Nvidia 1.00.00.52 to modem3 folder >>%DST%\WINDOWS\PATCH.LOG
xcopy /e /s /y %SRC%\Patch\HDAudio_XP\*.* %DST%\DRV\modem3\*.* >>%DST%\WINDOWS\PATCH.LOG
Echo. >> %DST%\AcerNB\HOTFIX2.CMD
rem echo start /w c:\DRV\modem3\dpinst.exe /q /se /sa >> %DST%\AcerNB\HOTFIX2.CMD
goto hda_end

:non_copy_hd
echo non copy Nvidia 1.00.00.52 >>%DST%\WINDOWS\PATCH.LOG

:hda_end